Subject: Abalone servers (was Re: Abalone strategies)

From: "Ed \"Cynwrig\" Dengler" <[email-masked]>
Date: Fri, 9 Apr 93 13:21:55 EDT

Greetings!

I ran an Abalone tournament at the University of Waterloo recently. In order
to make life easier for the people actually entering moves, I developed a
single slot game server (ie. only one game could be played at a time, but
the server would live from game to game).

The server provided a valid move checker and a game recorder. In addition,
the rules of Abalone were slightly modified to make computer versions more
interesting. I added the restrictions that no board could repeat, and that
each player only had 200 moves (surprisingly enough, no game in the tournament
used up all 400 moves, every game was won by pushing off 6 marbles). The
server also implemented these two restrictions.

If people are interested, I could post the server onto the list. The code is
fairly readable (standard client/server model using tcp Internet sockets) and
should not be much of a problem for people to make clients that can use the
server.

Ed